커뮤니티
커뮤니티 모더레이터 조회
GET /v1/communities/{community_id}/moderators reads 2 크레딧
커뮤니티의 관리자와 모더레이터.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 50 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서. 디코딩할 수 없는 커서는 400입니다 |
응답
멤버와 같은 형태. 대부분의 커뮤니티는 한 페이지에 들어가므로 next_cursor는 보통 null입니다.
상태: 200, 400, 404, 422, 429, 502
요청
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/moderators \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"community_id": "1493446837214187523",
"users": [
{
"id": "641633",
"screen_name": "marckohlbrugge",
"name": "Marc Köhlbrugge",
"bio": "",
"avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
"banner": null,
"followers": null,
"following": null,
"tweets": null,
"location": "",
"url": null,
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": null,
"category": null,
"role": "Admin"
},
{
"…": "…",
"role": "Moderator"
}
],
"next_cursor": null
}